## javax.jbi.messaging
Interface InOptionalOut

All Superinterfaces:
  MessageExchange

    public interface InOptionalOut

extends MessageExchange

Supports operations used to process an In Optional Out MEP to completion.

Author:
  JSR208 Expert Group

Nested Class Summary

Nested classes/interfaces inherited from interface javax.jbi.messaging.MessageExchange
`MessageExchange.Role`

Field Summary

Fields inherited from interface javax.jbi.messaging.MessageExchange
`JTA_TRANSACTION_PROPERTY_NAME`

Method Summary
`NormalizedMessage` `getInMessage()` Retrieves the "in" message reference from this exchange.
`NormalizedMessage` `getOutMessage()` Retrieves the "out" message reference from this exchange.
`void` `setInMessage(NormalizedMessage msg)` Specifies the "in" message reference for this exchange.
`void` `setOutMessage(NormalizedMessage msg)` Specifies the "out" message reference for this exchange.

Methods inherited from interface javax.jbi.messaging.MessageExchange
`createFault, createMessage, getEndpoint, getError, getExchangeId, getFault, getInterfaceName, getMessage, getOperation, getPattern, getProperty, getPropertyNames, getRole, getService, getStatus, isTransacted, setEndpoint, setError, setFault, setInterfaceName, setMessage, setOperation, setProperty, setService, setStatus`

Method Detail

### getInMessage

    NormalizedMessage getInMessage()

  Retrieves the "in" message reference from this exchange.

  Returns:
    in message

### getOutMessage

    NormalizedMessage getOutMessage()

  Retrieves the "out" message reference from this exchange.

  Returns:
    out message

### setInMessage

    void setInMessage(NormalizedMessage msg)
                      throws MessagingException

  Specifies the "in" message reference for this exchange.

  Parameters:
    `msg` - in message
  Throws:
    `MessagingException` - unable to set in message

### setOutMessage

    void setOutMessage(NormalizedMessage msg)
                       throws MessagingException

  Specifies the "out" message reference for this exchange.

  Parameters:
    `msg` - out message
  Throws:
    `MessagingException` - unable to set out message

${build-info}

${copyright}